Bug 1420378 - Review Request: php-phpunit-mock-objects4 - Mock Object library for PHPUnit
Review Request: php-phpunit-mock-objects4 - Mock Object library for PHPUnit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: 1428912
Blocks: 1420381
  Show dependency treegraph
 
Reported: 2017-02-08 09:31 EST by Remi Collet
Modified: 2017-04-01 13:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-01 13:00:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (15.89 KB, text/plain)
2017-03-10 15:37 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (11.53 KB, text/plain)
2017-03-10 15:38 EST, Shawn Iwinski
no flags Details
fedora-review.txt (8.02 KB, text/plain)
2017-03-10 15:40 EST, Shawn Iwinski
no flags Details

  None (edit)
Comment 2 Remi Collet 2017-03-06 12:06:05 EST
Fix for autoloader:

Spec: https://raw.githubusercontent.com/remicollet/remirepo
/ef56d4822b27c0602e0f2ff509031b39f8cfdce2/php/phpunit/php-phpunit-mock-objects4/php-phpunit-mock-objects4.spec
Srpm: http://rpms.remirepo.net/SRPMS/php-phpunit-mock-objects4-4.0.1-2.remi.src.rpm
Comment 3 Shawn Iwinski 2017-03-06 17:14:03 EST
Since this package installs into "/usr/share/php/PHPUnit6/Framework/MockObject" instead of "/usr/share/php/PHPUnit/Framework/MockObject4", shouldn't this package be named "php-phpunit6-mock-objects"?
Comment 4 Remi Collet 2017-03-07 00:06:43 EST
(In reply to Shawn Iwinski from comment #3)
> Since this package installs into
> "/usr/share/php/PHPUnit6/Framework/MockObject" instead of
> "/usr/share/php/PHPUnit/Framework/MockObject4", shouldn't this package be
> named "php-phpunit6-mock-objects"?

I choice to install in Phpunit6, as this is used by the phpunit6 package, but for the name I prefer to match the API version of the library.

BTW... both make sense... only my idea ;)
Comment 5 Shawn Iwinski 2017-03-10 15:37 EST
Created attachment 1262076 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.4 DB version 1.17.0 built Jan 24 2017 10:56:54 CET
Comment 6 Shawn Iwinski 2017-03-10 15:38 EST
Created attachment 1262077 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.4 DB version 1.17.0 built Jan 24 2017 10:56:54 CET
Comment 7 Shawn Iwinski 2017-03-10 15:40 EST
Created attachment 1262078 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1420378
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 Shawn Iwinski 2017-03-10 15:42:28 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required

Remove EPEL 5 bits after initial import



[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).

Diffs just turning on bootstrap.



No blockers

===== APPROVED =====
Comment 9 Remi Collet 2017-03-11 01:02:04 EST
Thanks for the review.

New packages requested.
Comment 10 Gwyn Ciesla 2017-03-13 08:42:32 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-phpunit-mock-objects4
Comment 11 Fedora Update System 2017-03-13 09:03:29 EDT
php-phpunit-mock-objects4-4.0.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d605f6d602
Comment 12 Fedora Update System 2017-03-13 23:21:33 EDT
php-phpunit-mock-objects4-4.0.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d605f6d602
Comment 13 Fedora Update System 2017-04-01 13:00:28 EDT
php-phpunit-mock-objects4-4.0.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.